#!/bin/sh

DEMOREC_DIR=/opt/DemoRecorder
export LD_LIBRARY_PATH="$DEMOREC_DIR/lib:$DEMOREC_DIR/3rdparty/lib:$LD_LIBRARY_PATH"

displaynum=""
size=720x576x16
DEMOREC_DIR=/opt/DemoRecorder
X11FONTPATH=/usr/share/X11/fonts/100dpi,/usr/share/X11/fonts/75dpi,/usr/share/X11/fonts/misc,/usr/share/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/TTF,/usr/X11R6/lib/X11/fonts/Speedo,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/CID,/usr/X11R6/lib/X11/fonts/75dpi,/usr/X11R6/lib/fonts/100dpi,/usr/share/fonts/misc,/usr/share/fonts/100dpi,/usr/share/fonts/75dpi,/usr/share/fonts/Type1,/usr/share/fonts/TTF,/usr/share/fonts/OTF,/usr/share/fonts/ttf,/usr/share/fonts/override,/usr/share/fonts/default
args=""

#echo "framebufCommandline: $*"

while [ "$1" != "" ] ; do
	case "$1" in
		--display-num)
			displaynum=$2;
			shift
			shift
		;;
		--screen)
			size=$2;
			args="$args -screen $2 $3"
			shift
			shift
			shift
		;;
		--visual)
			args="$args -visual $2 $3"
			shift
			shift
			shift
		;;
		--default-visual)
			args="$args -default-visual $2 $3"
			shift
			shift
			shift
		;;
	esac
done

#echo "displaynum=$displaynum"
#echo "size=$size"
#echo "args=$args"

rm -f /tmp/drexport_captureframe.log

#/Projects/DisplayRecorder/Workspaces/WE8/X11/xc/programs/Xserver/Xvfb :$displaynum -screen 0 $size -ac
$DEMOREC_DIR/auxbin/drvfb :$displaynum $args -fp $X11FONTPATH -ac -terminate >/tmp/drvfb.log 2>&1

